#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Class
%define		pnam	Data-Inheritable
Summary:	Class::Data::Inheritable - inheritable, overridable class data
Summary(pl.UTF-8):	Class::Data::Inheritable - dziedziczona, przykrywalna klasa danych
Name:		perl-Class-Data-Inheritable
Version:	0.08
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fc0fe65926eb8fb932743559feb54eb9
URL:		http://search.cpan.org/dist/Class-Data-Inheritable/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::Data::Inheritable is for creating accessor/mutators to class
data.  That is, if you want to store something about your class as
a whole (instead of about a single object).  This data is then
inherited by your subclasses and can be overriden.

%description -l pl.UTF-8
Moduł Class::Data::Inheritable służy do tworzenia dodatkowych danych
klasy (accessors/mutators), czyli do przechowywania czegoś o klasie
jako całości (zamiast o pojedynczym obiekcie). Te dane są potem
dziedziczone przez podklasy i mogą być przykryte innymi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Class/Data/Inheritable.pm
%{_mandir}/man3/Class::Data::Inheritable.3pm*
%changelog
* Thu Apr 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Class-Data-Inheritable.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 6380226
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 879c846
- License fix

* Sat Apr 05 2008 Jakub Bogusz <qboosh@pld-linux.org> e507680
- generic URL

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8474a32
- up to 0.08

* Thu Mar 29 2007 radek <radek@pld-linux.org> 3584415
- version 0.06

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9aa00cd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 98a4c07
- converted to UTF-8

* Sat Apr 08 2006 migo <migo@pld-linux.org> 8d180a1
- do not include %{perl_vendorlib}/Class/Data directory in package

* Tue Nov 01 2005 migo <migo@pld-linux.org> 3dab2ed
- up to 0.04

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e327c21
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> ee0c755
- massive: unfold macros in name/summary & other unifications

* Sat Jun 05 2004 radek <radek@pld-linux.org> ddfde61
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> cb445b0
- rel. 5

* Thu May 06 2004 ankry <ankry@pld-linux.org> 184da6e
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 144ab13
- cosmetics: unification

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 908e581
- bcond for tests

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 6219d00
- rel. 4 for Ac

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> dddda52
- summary, description and license fixes

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 728f0ac
- s/no/nb/ in Summary langs

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 33bd34e
- mass commit: cosmetics (removed trailing white spaces)

